Bug 1252787 - [ENG] (6.1.z) Null pointer exception during startup
[ENG] (6.1.z) Null pointer exception during startup
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.1.0
Unspecified Unspecified
medium Severity unspecified
: CR1
: ---
Assigned To: Shelly McGowan
Tibor Zimanyi
:
Depends On:
Blocks: 1259378 1259382
  Show dependency treegraph
 
Reported: 2015-08-12 05:04 EDT by Marco Rietveld
Modified: 2016-09-20 01:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log showing the NPE's being thrown (191.31 KB, application/octet-stream)
2015-08-12 05:06 EDT, Marco Rietveld
no flags Details

  None (edit)
Description Marco Rietveld 2015-08-12 05:04:24 EDT
Description of problem:

During startup, the logs show that a NullPointerException is thrown when a process definition (asset-management, I think?) is being processed. 

How reproducible:

Always. 

Steps to Reproduce:
1. Start up BPMS or kie-wb. 

Actual results:

Multiple NPE's are shown being thrown in the logs. 

Expected results:

No NPE's in the logs. 

Additional info:

While no tests are currently failing, I think it's important to fix this because it's obviously a bug and the impact is unknown. 

Furthermore, this bug has been found and fixed on the 6.3.x and master branches and it only needs to be backported.
Comment 1 Marco Rietveld 2015-08-12 05:06:51 EDT
Created attachment 1061886 [details]
Log showing the NPE's being thrown
Comment 3 Marco Rietveld 2015-09-23 11:57:57 EDT
Cherry-picked to 6.2.x: 

https://github.com/droolsjbpm/jbpm/commit/8418776e
Comment 4 Tibor Zimanyi 2015-10-13 10:00:53 EDT
Verified.

Note You need to log in before you can comment on or make changes to this bug.